com.r3corda.protocols / NotaryChangeProtocol / Acceptor

# Acceptor

`class Acceptor : Acceptor<Party>`

### Constructors

<init> | `Acceptor(otherSide: Party, progressTracker: ProgressTracker = tracker())`

### Properties

progressTracker | `val progressTracker: ProgressTracker` Override this to provide a ProgressTracker. If one is provided and stepped, the framework will do something helpful with the progress reports. If this protocol is invoked as a sub-protocol of another, then the tracker will be made a child of the current step in the parent. If its null, this protocol doesnt track progress.

### Inherited Properties

otherSide | `val otherSide: Party`

### Functions

verifyProposal | `fun verifyProposal(maybeProposal: UntrustworthyData<Proposal<Party>>): Proposal<Party>` Check the notary change proposal.

### Inherited Functions

call | `open fun call(): Unit` This is where you fill out your business logic.